### Function

# GObject TypeValuePeekPointerFunc

since: 2.78

#### Declaration

    gpointer
    (* GTypeValuePeekPointerFunc) (
      const GValue* value
    )

#### Description [src]

If the value contents fit into a pointer, such as objects or strings, return this pointer, so the caller can peek at the current contents.

To extend on our above string example:

    return value->data[0].v_pointer;

Available since: 2.78

#### Parameters

`value`

  Type: `GValue`

  The value to peek.

  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

A pointer to the value contents.

The data is owned by the called function.
The return value can be `NULL`.